## Function template make_scope_success

boost::scope::make_scope_success — Creates a scope fail guard with a given action function object.

## Synopsis

    // In header: <boost/scope/scope_success.hpp>

    template<typename F>
      scope_success< typename std::decay< F >::type >
      make_scope_success(F && func, bool active = true);

## Description

Effects: Constructs a scope guard as if by calling ``scope_success`< std::decay_t< F > >(std::forward< F >(func), active)`.

Parameters:

`active` | Indicates whether the scope guard should be active upon construction.
`func` | The callable function object to invoke on destruction.